package intrinsic.mx.managers;

public class FocusManager extends Object implements intrinsic.mx.managers.IFocusManager {

	/** Accessors */
	public intrinsic.mx.managers.IFocusManagerContainer form;
	public intrinsic.flash.display.Sprite focusPane;
	public intrinsic.mx.core.IUIComponent defaultButton;
	public boolean showFocusIndicator;
	public boolean defaultButtonEnabled;
	public int nextTabIndex;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FocusManager() {
}

public FocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0) {
}

public FocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0, boolean arg1) {
}


/** Static Methods */

/** Methods */
public native void deactivate();
public native intrinsic.mx.managers.IFocusManagerComponent getNextFocusManagerComponent();
public native intrinsic.mx.managers.IFocusManagerComponent getNextFocusManagerComponent(boolean arg0);
public native String toString();
public native intrinsic.mx.managers.IFocusManagerComponent getFocus();
public native void sendDefaultButtonEvent();
public native void activate();
public native intrinsic.mx.managers.IFocusManagerComponent findFocusManagerComponent(intrinsic.flash.display.InteractiveObject arg0);
public native void setFocus(intrinsic.mx.managers.IFocusManagerComponent arg0);
public native void showFocus();
public native void hideFocus();

}
